Bug 843151 - [abrt] guitarix-0.23.2-2.fc17: __GI_raise: Process /usr/bin/guitarix was killed by signal 6 (SIGABRT)
[abrt] guitarix-0.23.2-2.fc17: __GI_raise: Process /usr/bin/guitarix was kill...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: guitarix (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
abrt_hash:d70b3c5be52942fa7a9c889cfb3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 14:00 EDT by Dmitriy Kalmykov
Modified: 2013-07-31 17:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:38:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (106.08 KB, text/plain)
2012-07-25 14:00 EDT, Dmitriy Kalmykov
no flags Details
File: smolt_data (3.11 KB, text/plain)
2012-07-25 14:00 EDT, Dmitriy Kalmykov
no flags Details
File: maps (56.05 KB, text/plain)
2012-07-25 14:00 EDT, Dmitriy Kalmykov
no flags Details
File: dso_list (11.53 KB, text/plain)
2012-07-25 14:00 EDT, Dmitriy Kalmykov
no flags Details

  None (edit)
Description Dmitriy Kalmykov 2012-07-25 14:00:02 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        guitarix
comment:        Tried to change input/output settings
crash_function: __GI_raise
executable:     /usr/bin/guitarix
kernel:         3.4.6-2.fc17.x86_64
pid:            2485
pwd:            /home/looner
time:           Чт. 26 июля 2012 01:43:14
uid:            1000
username:       looner

backtrace:      Text file, 108628 bytes
dso_list:       Text file, 11804 bytes
maps:           Text file, 57393 bytes
smolt_data:     Binary file, 3181 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/looner/2

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x35925 raise libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x370d8 abort libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x7564b __libc_message libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x7b5d6 malloc_printerr libc.so.6 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x4d37f g_free libglib-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x23d362 gtk_tree_path_free libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x23e7f7 gtk_tree_model_get_iter_first libgtk-x11-2.0.so.0 -
:a12904e3aa7e77a54deb00b1ca82f5d3da55cb91 0x327ec8 Gtk::TreeNodeChildren::begin() libgtkmm-2.4.so.1 -
:4dbccc49ce490590ec2466c0e42fca3fe8b93fdd 0x2041ab gx_portmap::PortMapWindow::walk(Glib::RefPtr<Gtk::TreeStore>, [exe] -
:4dbccc49ce490590ec2466c0e42fca3fe8b93fdd 0x204665 gx_portmap::PortMapWindow::update_summary(gx_portmap::PortSection&, [exe] -
:4dbccc49ce490590ec2466c0e42fca3fe8b93fdd 0x204f14 gx_portmap::PortMapWindow::connection_changed(std::string, [exe] -
:4dbccc49ce490590ec2466c0e42fca3fe8b93fdd 0x2082a1 sigc::bound_mem_functor3<void, [exe] -
:4dbccc49ce490590ec2466c0e42fca3fe8b93fdd 0xcfe87 gx_jack::GxJack::fetch_connection_data() [exe] -
:f3cd3b4e0a6c31e9af1598f478198ab0f52b6ca9 0x47372 Glib::DispatchNotifier::pipe_io_handler(Glib::IOCondition) libglibmm-2.4.so.1 -
:f3cd3b4e0a6c31e9af1598f478198ab0f52b6ca9 0x4949c Glib::IOSource::dispatch(sigc::slot_base*) libglibmm-2.4.so.1 -
:f3cd3b4e0a6c31e9af1598f478198ab0f52b6ca9 0x48f7f Glib::Source::dispatch_vfunc(_GSource*, libglibmm-2.4.so.1 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14ac57 gtk_main libgtk-x11-2.0.so.0 -
:4dbccc49ce490590ec2466c0e42fca3fe8b93fdd 0xc8976 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=looner-laptop
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=1af3fe3b5a75651ec7573d6e0000000e-1343233438.575574-1547682603
:GNOME_KEYRING_CONTROL=/run/user/looner/keyring-Kff6m3
:QT_GRAPHICSSYSTEM_CHECKED=1
:'IMSETTINGS_MODULE=X compose table'
:USER=looner
:USERNAME=looner
:MAIL=/var/spool/mail/looner
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/looner/.local/bin:/home/looner/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/looner
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=994
:LANG=ru_RU.utf8
:GDM_LANG=ru_RU.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/looner
:SHLVL=1
:LOGNAME=looner
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-EnJgCa3GVE,guid=e86749f4591e8f877e6985e20000003c
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/looner
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-looner-H4GJEj/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/998,unix/unix:/tmp/.ICE-unix/998
:GPG_AGENT_INFO=/run/user/looner/keyring-Kff6m3/gpg:0:1
:SSH_AUTH_SOCK=/run/user/looner/keyring-Kff6m3/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15584                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15584                15584                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/looner/.xsession-errors
:pos:	135380
:flags:	0102002
:2:/home/looner/.xsession-errors
:pos:	135380
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[34976]
:pos:	0
:flags:	02000000
:5:pipe:[34976]
:pos:	0
:flags:	02000001
:6:socket:[34979]
:pos:	0
:flags:	02004002
:7:socket:[34244]
:pos:	0
:flags:	02004002
:8:anon_inode:inotify
:pos:	0
:flags:	02004000
:9:/home/looner/.config/guitarix/banks/scratchpad.gx
:pos:	12500
:flags:	0100000
:10:socket:[35376]
:pos:	0
:flags:	02
:11:socket:[35927]
:pos:	0
:flags:	02
:12:socket:[35922]
:pos:	0
:flags:	02

var_log_messages:
:Jul 26 01:38:48 looner-laptop yum[2461]: Installed: ladspa-guitarix-plugins-0.23.2-2.fc17.x86_64
:Jul 26 01:38:55 looner-laptop yum[2461]: Installed: guitarix-0.23.2-2.fc17.x86_64
:Jul 26 01:43:15 looner-laptop abrt[2533]: Saved core dump of pid 2485 (/usr/bin/guitarix) to /var/spool/abrt/ccpp-2012-07-26-01:43:14-2485 (43085824 bytes)

xsession_errors:
:[1B][0;34m[TRA] [1B][0m01:41:53*** glibc detected *** guitarix: munmap_chunk(): invalid pointer: 0x0000000001d9ce30 ***
:guitarix(_ZN10gx_portmap13PortMapWindow4walkEN4Glib6RefPtrIN3Gtk9TreeStoreEEEPSsi+0x5b)[0x6041ab]
:guitarix(_ZN10gx_portmap13PortMapWindow14update_summaryERNS_11PortSectionEPSsb+0x55)[0x604665]
:guitarix(_ZN10gx_portmap13PortMapWindow18connection_changedESsSsb+0xf4)[0x604f14]
:guitarix(_ZNK4sigc18bound_mem_functor3IvN10gx_portmap13PortMapWindowESsSsbEclERKSsS5_RKb+0x71)[0x6082a1]
:guitarix(_ZN7gx_jack6GxJack21fetch_connection_dataEv+0x197)[0x4cfe87]
:guitarix(main+0x2c6)[0x4c8976]
:guitarix[0x4c8db1]
:00400000-007c8000 r-xp 00000000 fd:00 806762                             /usr/bin/guitarix
:009c8000-009ed000 rw-p 003c8000 fd:00 806762                             /usr/bin/guitarix
Comment 1 Dmitriy Kalmykov 2012-07-25 14:00:09 EDT
Created attachment 600356 [details]
File: backtrace
Comment 2 Dmitriy Kalmykov 2012-07-25 14:00:13 EDT
Created attachment 600357 [details]
File: smolt_data
Comment 3 Dmitriy Kalmykov 2012-07-25 14:00:16 EDT
Created attachment 600358 [details]
File: maps
Comment 4 Dmitriy Kalmykov 2012-07-25 14:00:19 EDT
Created attachment 600359 [details]
File: dso_list
Comment 5 Fedora End Of Life 2013-07-03 16:58:34 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 17:38:56 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.